import e from "./isSymbol.js";
//#region ../../node_modules/lodash-es/_compareAscending.js
function t(t, n) {
	if (t !== n) {
		var r = t !== void 0, i = t === null, a = t === t, o = e(t), s = n !== void 0, c = n === null, l = n === n, u = e(n);
		if (!c && !u && !o && t > n || o && s && l && !c && !u || i && s && l || !r && l || !a) return 1;
		if (!i && !o && !u && t < n || u && r && a && !i && !o || c && r && a || !s && a || !l) return -1;
	}
	return 0;
}
//#endregion
export { t as default };
